AM261x MCU+ SDK: CpswAle_TrunkCfg Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CpswAle_TrunkCfg Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Forwarding Database (FDB) » CPSW Address Lookup Engine (ALE)

## Detailed Description

Input args for CPSW_ALE_IOCTL_SET_TRUNK_CFG command.

## Data Fields
uint32_t | trunkId
uint32_t | numPorts
uint32_t | trunkPortIdx [CPSW_ALE_NUM_PORTS]
uint32_t | trunkHashBase
bool | dstIPEn
bool | srcIPEn
bool | innerVlanEn
bool | enablePri
bool | srcEn
bool | dstEnEn

## Field Documentation

## ◆ trunkId

uint32_t CpswAle_TrunkCfg::trunkId

Trunk group ID value

## ◆ numPorts

uint32_t CpswAle_TrunkCfg::numPorts

Number of ports in the trunk group

## ◆ trunkPortIdx

uint32_t CpswAle_TrunkCfg::trunkPortIdx[CPSW_ALE_NUM_PORTS]

Trunk group index value

## ◆ trunkHashBase

uint32_t CpswAle_TrunkCfg::trunkHashBase

Hash formula starting value

## ◆ dstIPEn

bool CpswAle_TrunkCfg::dstIPEn

Enables the destination MAC address to be used with the hash function G(X) = 1 + X + X^3 and affects the trunk port transmit link determination

## ◆ srcIPEn

bool CpswAle_TrunkCfg::srcIPEn

Enables the source MAC address to be used with the hash function G(X) = 1 + X + X^3 and affects the trunk port transmit link determination

## ◆ innerVlanEn

bool CpswAle_TrunkCfg::innerVlanEn

Enables the inner VLAN ID value (C-VLANID) to be used with the hash function G(X) = 1 + X+ X^3 and affects the trunk port transmit link determination

## ◆ enablePri

bool CpswAle_TrunkCfg::enablePri

Enables the VLAN Priority bits to be used with the hash function G(X) = 1 + X + X^3 and affects the trunk port transmit link determination

## ◆ srcEn

bool CpswAle_TrunkCfg::srcEn

Enables the source IP address to be used with the hash function G(X) = 1 + X + X^3 and affects the trunk port transmit link determination

## ◆ dstEnEn

bool CpswAle_TrunkCfg::dstEnEn

Enables the destination IP address to be used with the hash function G(X) = 1 + X + X^3 and affects the trunk port transmit link determination